.event-box {
    display: flex;
    gap: 20px; /* Abstand zwischen den beiden Spalten */
    align-items: flex-start;
    border-radius: 10px;
    padding: 1.25rem;
    box-shadow: rgba(0, 0, 0, 0.18) 0px 2px 4px;
    font-size: 0.875rem;
    line-height: 1.35;
    margin-bottom: 1.25rem;
}

.event-category {
    flex: 1;
}
.event-subtitle { margin: 0px; line-height: 1.2; }
.event-subtitle .weekday-accent { 
  color: #11B6B0; 
  font-weight: 700; 
}

.event-date.gesperrt {
    text-decoration: line-through;
    color: #ff3b30;
    font-style: italic;
}

.button-time-container {
    display: flex;
    align-items: center;
    gap: 5px; /* Abstand zwischen Button und Uhrzeit */
}

.button-time-container .signup-button {
    font-family: Sans-serif;
    font-weight: bold;
    fill: var(--e-global-color-6a607958);
    color: white;
    background: #048579 linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    border-radius: 3px;
    padding: 2.5px 5px;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.3s, color 0.3s;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}

.button-time-container .signup-button:hover {
    background-color: #07a99a;
    text-decoration: none;
}

.button-time-container .event-time {
    font-size: 11.37px;
}

.tab-link {
    text-transform: uppercase;
    font-weight: 700;
    color: #333;
    padding: 5px 10px;
    margin-bottom: 10px;
    text-decoration: none;
    /* Für Desktop: kein Pointer beim Hover */
    cursor: default;
    border-bottom: 2px solid #048579;
}

.tab-link:hover {
    color: #000;
}

.tab-link {
    text-transform: uppercase;
    font-weight: 700;
    color: #333;
    padding: 5px 10px;
    transition: color 0.3s;
    text-decoration: none;
    cursor: pointer;
}

.tab-link.active,
.tab-link:hover {
    color: #000;
    border-bottom: 2px solid #048579;
    max-width: 120px;
}

.event-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.event-item {
    display: flex;
    align-items: flex-start;
    padding: 10px 0;
    opacity: 1;
    height: auto;
    transition: opacity 0.3s ease, height 0.3s ease, margin 0.3s ease;
}

.event-thumbnail {
    margin-right: 10px;
    border-radius: 15px;
    overflow: hidden;
    align-self: flex-start;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.event-thumbnail img {
    max-width: 50px;
    height: auto;
}

.signup-button {
    text-decoration: none;
}

.signup {
    font-family: Sans-serif;
    font-weight: bold;
    fill: var(--e-global-color-6a607958);
    color: white;
    background: #048579 linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    border-radius: 3px;
    padding: 2.5px 5px;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.3s, color 0.3s;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}

.ausgebucht {
    font-family: Sans-serif;
    color: red;
    border-radius: 3px;
    border: 1px solid currentColor;
    padding: 2.5px 5px;
    cursor: pointer;
}

.begrenzt {
    font-family: Sans-serif;
    color: #e97f0c;
    border-radius: 3px;
    border: 1px solid currentColor;
    padding: 2.5px 5px;
    cursor: pointer;
}

.signup:hover {
    background-color: #1e7a70;
}

.filterButtons {
    font-family: Sans-serif;
    fill: var(--e-global-color-6a607958);
    color: white;
    background: #048579 linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    border-radius: 8px;
    padding: 2.5px 5px;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.3s, color 0.3s;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}

.filterButtons:hover {
    background-color: #02a898;
}

.filterButtons.active {
    background-color: #02a898;
}

.event-details {
    flex: 1;
}

.event-title {
    position: relative;
    margin: 0;
    font-size: 1rem;
    color: #222;
}

/* In Desktop-Ansicht soll der Titel beim Hover keinen Pointer anzeigen */
@media screen and (min-width: 769px) {
    .event-title:hover {
        cursor: default;
    }
}

.event-date {
    margin: 0;
    color: #048579;
    font-size: 0.95rem;
}

.event-label {
    font-size: 0.83rem;
    font-weight: bold;
    margin-bottom: 5px;
    background-color: #f2f4f5;
    color: #1e2132;
    border: 1px solid rgba(0, 0, 0, .1);
    border-radius: 6px;
    min-width: 23px;
    padding: 3px 6px;
}



@media screen and (max-width: 768px) {
    .event-thumbnail {
        display: none;
    }

    .button-time-container {
        flex-direction: column-reverse;
        align-items: flex-start;
    }
    
    .event-title {
        display: inline-block;
        font-size: 1.2rem;
    }
    .tab-link.active,
.tab-link:hover {
    color: white;
    border-bottom: 2px solid #048579;
    max-width: 120px;
}
	  .tab-link.active {
    background: #07a99a linear-gradient(to bottom, rgba(255,255,255,0.08), rgba(0,0,0,0.08));
    color: white;
    border-bottom: 2px solid #048579; /* optional, falls Du den unteren Rahmen beibehalten möchtest */
  }
}

/* Neue Styles für Preis und Info-Button */
.event-price {
    font-weight: normal;
    color: white;
    margin-left: 5px;
    padding: 2px 4px;
    border-radius: 5px;
    background: #f94b4b linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}

.info-button {
    font-family: Sans-serif;
    font-weight: bold;
    color: white !important;
    border-radius: 3px;
    padding: 2.5px 6px;
    cursor: pointer;
    display: inline-block;
    text-decoration: none !important;
    background: #009688 linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    transition: background-color 0.3s, color 0.3s;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}

.info-button:hover {
    background: #1e7a70;
}

/* Optional: Styling für die Preis-Spalte im Backend */
.admin-price {
    font-weight: bold;
    color: #222;
    background-color: #f0f0f0;
    padding: 2px 4px;
    border-radius: 3px;
}

@media screen and (max-width: 768px) {
    /* Statt flex soll die Eventbox als Block angezeigt werden */
    .event-box {
        display: block;
    }
    
    /* Die einzelnen Kategorien sollen in voller Breite erscheinen */
    .event-category {
        width: 100%;
    }
    
    /* Verstecke die internen Überschriften, die in den event-category-Elementen stehen */
    .event-category > .tab-link {
        display: none;
    }
    
        .event-price {
        font-size: 0.8rem; /* Kleinere Schriftgröße */
        padding: 1px 2px;  /* Kleinere Abstände */
    }
    
    .tab-link {
font-family: Sans-serif;
    fill: var(--e-global-color-6a607958);
    color: white;
    background: #048579 linear-gradient(to bottom, rgb(255 255 255 / 0.08), rgb(0 0 0 / 0.08)) border-box;
    border-radius: 8px;
    padding: 2.5px 5px;
    cursor: pointer;
    display: inline-block;
    transition: background-color 0.3s, color 0.3s;
    text-shadow: 0 1px 2px rgb(33 33 33 / 0.24);
}
}